<form class="dateform">
  <mat-form-field appearance="fill">
    <mat-label>min date</mat-label>
    <input matInput (ngModelChange)="filterChange( [ $event, getCurrentValue()[1] ] ) " [ngModel]="getCurrentValue()[0]"
      type="date" name="min">
  </mat-form-field>
  <mat-form-field appearance="fill">
    <mat-label>max date</mat-label>
    <input matInput (ngModelChange)="filterChange( [ getCurrentValue()[0], $event ] ) " [ngModel]="getCurrentValue()[1]"
      type="date" name="max">
  </mat-form-field>
</form>
